petsc-3.12.4 2020-02-04
Report Typos and Errors

# TaoMonitorDrawCtxCreate

Creates the monitor context for TaoMonitorDrawCtx

### Synopsis

    #include "petsctao.h"
    PetscErrorCode  TaoMonitorDrawCtxCreate(MPI_Comm comm,const char host[],const char label[],int x,int y,int m,int n,PetscInt howoften,TaoMonitorDrawCtx *ctx)

Collective on Tao

### Output Patameter

ctx -the monitor context

### Options Database

-tao_draw_solution_initial -show initial guess as well as current solution

### See Also

TaoMonitorSet(), TaoMonitorDefault(), VecView(), TaoMonitorDrawCtx()

### Level

intermediate

### Location

src/tao/interface/taosolver.c
Index of all Tao routines
Table of Contents for all manual pages
Index of all manual pages